LibreOffice LibreOffice 25.2 SDK API Reference

Public Types | Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XFunctionDescription Interface Reference

identifies a XFunctionDescription which allows to retrieve the meta data of all supported functions. More...

`import"XFunctionDescription.idl";`

Inheritance diagram for XFunctionDescription:

## Public Types
typedef sequence< com::sun::star::sheet::FunctionArgument > | Arguments
| returns a sequence of localized descriptions of the function's arguments (in the order specified by the function). More...

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...

## Public Member Functions
string | createFormula ([in] sequence< string > arguments) raises ( ::com::sun::star::lang::DisposedException, com::sun::star::lang::IllegalArgumentException, ::com::sun::star::uno::Exception )
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
XFunctionCategory | Category
| specifies the category number. More...
string | Name
| returns the localized function's name. More...
string | Description
| returns a localized description of the function. More...
string | Signature
| returns the signature of the function. More...

## Detailed Description

identifies a XFunctionDescription which allows to retrieve the meta data of all supported functions.

## Member Typedef Documentation

## ◆ Arguments

sequence< com::sun::star::sheet::FunctionArgument > Arguments
| attribute readonly

returns a sequence of localized descriptions of the function's arguments (in the order specified by the function).

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## Member Function Documentation

## ◆ createFormula()

string createFormula | ( | [in] sequence< string > | arguments | ) |
raises | ( | ::com::sun::star::lang::DisposedException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::uno::Exception
| ) |  |

## Member Data Documentation

## ◆ Category

XFunctionCategory Category
| attribute readonly

specifies the category number.

## ◆ Description

string Description
| attribute readonly

returns a localized description of the function.

## ◆ Name

string Name
| attribute readonly

returns the localized function's name.

## ◆ Signature

string Signature
| attribute readonly

returns the signature of the function.

The documentation for this interface was generated from the following file:

- com/sun/star/report/meta/XFunctionDescription.idl